Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-RU-2013:1689-1: ibus-anthy: update to 1.5.4 to fix displaying passwords on display
openSUSE Recommended Update: ibus-anthy: update to 1.5.4 to fix displaying
passwords on display
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:1689-1
Rating: low
References: #847718
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


ibus-anthy was updated to avoid displaying passwords on the
GNOME lock screen during input:
- update to 1.5.4
* Removed g_type_init() calls.
* Fixed ibus-engine-anthy --xml without display
* Fixed kana_voiced_consonant_no_rule for 'bo'.
* Fixed dicts.
* Updated symbol.t with Seiza.
* Added Era dict.
* Updated source files with the latest GPL 2.0.
* Imported anthy zipcode.t into ibus-anthy.
* Added to check the input purpose for gnome-shell
password dialog.
* Implemented ISO 14755 with Ctrl+Shift+u in LATIN mode.
* Extracted prefix in ANTHY_ZIPCODE_FILE for sh test.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2013-851

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

ibus-anthy-1.5.4-2.4.1
ibus-anthy-debugsource-1.5.4-2.4.1
ibus-anthy-devel-1.5.4-2.4.1
ibus-anthy-devel-debuginfo-1.5.4-2.4.1


References:

http://support.novell.com/security/cve/CVE-2013-4509.html
https://bugzilla.novell.com/847718


< Previous Next >
This Thread
  • No further messages